> For the complete documentation index, see [llms.txt](https://docs.verifone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verifone.com/api-reference/open-api-references/order-service/specification/purchased-tids.md).

# Purchased TIDs

Operations to manage purchased TID allocations for entities.

## List TIDs in the pool

> Get list of TIDs from the TID pool.

```json
{"openapi":"3.0.0","info":{"title":"Verifone Order Internal API","version":"2.63.1-SNAPSHOT"},"tags":[{"name":"Purchased TIDs","description":"Operations to manage purchased TID allocations for entities."}],"servers":[{"url":"https://api.verifone.com"}],"paths":{"/entities/{entityUid}/purchasedTid":{"get":{"tags":["Purchased TIDs"],"operationId":"listPurchasedTIDs","summary":"List TIDs in the pool","description":"Get list of TIDs from the TID pool.","parameters":[{"name":"entityUid","in":"path","description":"The Verifone assigned ID corresponding to the entity.","required":true,"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/EntityUid"}},{"name":"status","in":"query","required":false,"explode":true,"style":"form","schema":{"$ref":"#/components/schemas/TidPoolStatusEnum"}},{"$ref":"#/components/parameters/pageNumberQueryParam"},{"$ref":"#/components/parameters/pageSizeQueryParam"},{"$ref":"#/components/parameters/purchasedRangeQueryParam"},{"name":"orderBy","in":"query","description":"The field to order by. Valid fields are: createdDate, modifiedDate, status","required":false,"style":"form","explode":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Purchased TIDs results matching criteria","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TidPoolFetchResponse"}}}},"400":{"$ref":"#/components/responses/400"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"429":{"$ref":"#/components/responses/429"},"500":{"$ref":"#/components/responses/500"},"503":{"$ref":"#/components/responses/503"},"504":{"$ref":"#/components/responses/504"}}}}},"components":{"schemas":{"EntityUid":{"description":"The Verifone allocated unique id for this site.","type":"string","format":"uuid"},"TidPoolStatusEnum":{"description":"Allocation status of the purchased TID.","type":"string","enum":["ALLOCATED","UNALLOCATED","RESERVED","INACTIVE"]},"PagingPageNumber":{"description":"Page number for records.","type":"integer","minimum":1,"default":1},"PagingPageSize":{"description":"Page size for returned records.","type":"integer","minimum":1,"maximum":100,"default":50},"TidPoolFetchResponse":{"type":"object","properties":{"tids":{"type":"array","items":{"$ref":"#/components/schemas/TidPoolItem"}},"metadata":{"$ref":"#/components/schemas/PagingMetadata"}},"required":["tids","metadata"]},"TidPoolItem":{"description":"A TID from the pool.","type":"object","properties":{"altVfiPoiId":{"$ref":"#/components/schemas/AltVfiPoiId"},"createdDate":{"type":"string","format":"date-time"},"modifiedDate":{"type":"string","format":"date-time"},"reference":{"type":"string","description":"Order reference used while adding TID to pool"},"status":{"$ref":"#/components/schemas/TidPoolStatusEnum"}}},"AltVfiPoiId":{"description":"An alternative Verifone assigned identifier used for the POI within Verifone systems for transaction processing. This\nis also referred to as the Terminal ID (TID). This value maps to DE41 in ISO8583 specification. This identifier may\nalso be used per contract if required.\n\n<strong>This value is not guaranteed to be globally unique. The unique value is the internally assigned uuid - poiUid\nwhich is returned on the response.</strong>","type":"string","maxLength":12},"PagingMetadata":{"title":"Paging Metadata Details","description":"Metadata for searching/paging.","type":"object","properties":{"totalPages":{"$ref":"#/components/schemas/PagingTotalPages"},"pageNumber":{"$ref":"#/components/schemas/PagingPageNumber"},"pageSize":{"$ref":"#/components/schemas/PagingPageSize"},"totalItems":{"$ref":"#/components/schemas/PagingTotalItems"}},"required":["totalPages","pageNumber","pageSize","totalItems"]},"PagingTotalPages":{"description":"Total pages of records.","type":"integer"},"PagingTotalItems":{"description":"Total number of records.","type":"integer"},"httpError400":{"title":"HTTP 400 Error","type":"object","description":"The request could not be understood by the server due to malformed syntax.","allOf":[{"$ref":"#/components/schemas/ErrorResp"},{"properties":{"code":{"type":"string","enum":["400"],"default":"400"},"title":{"type":"string","enum":["Bad Request"],"default":"Bad Request"},"message":{"type":"string","default":"The request could not be understood by the server due to malformed syntax. The client SHOULD NOT repeat the request without modifications."},"timestamp":{"description":"The time that the error occurred. All dates in the JSON payloads are represented in ISO 8601 date-time format. \nAll date-time fields in responses must include the timezone.","type":"string","format":"date-time"},"type":{"type":"string","enum":["INVALID_REQUEST_ERROR"],"default":"INVALID_REQUEST_ERROR"},"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"}}}],"required":["code","title","message","type"],"additionalProperties":false},"ErrorResp":{"title":"Error","description":"A common Error object returned as part of the API layer.\n\n. This is modified to become the base class for all of the derived HTTP Error Responses.","type":"object","properties":{"reversalStatus":{"description":"Indicates to the API client if a technical reversal is required or has been completed by Verifone.\n\n|Value|Description|\n|-|-|\n|NONE|Reversal status is not set. This indicates the status of reversal processing is not known and the client should implement default reversal processing.|\n|REQUIRED|A reversal is required by the client.|\n|COMPLETED|A reversal has been completed by verifone or a reversal is not required for this transaction.|","type":"string","enum":["NONE","REQUIRED","COMPLETED"],"default":"NONE"}},"required":["code"]},"httpError401":{"title":"HTTP 401 Error","type":"object","description":"The request must be authenticated to access the resource.","allOf":[{"$ref":"#/components/schemas/ErrorResp"},{"properties":{"code":{"type":"string","enum":["401"],"default":"401"},"title":{"type":"string","enum":["Unauthorised"],"default":"Unauthorised"},"message":{"type":"string","default":"The request requires client authentication."},"timestamp":{"description":"The time that the error occurred. All dates in the JSON payloads are represented in ISO 8601 date-time format. \nAll date-time fields in responses must include the timezone.","type":"string","format":"date-time"},"type":{"type":"string","enum":["AUTHENTICATION_ERROR"],"default":"AUTHENTICATION_ERROR"},"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"}}}],"required":["code","title","message","type"],"additionalProperties":false},"httpError403":{"title":"HTTP 403 Error","type":"object","description":"The request must be authorised to access the resource.","allOf":[{"$ref":"#/components/schemas/ErrorResp"},{"properties":{"code":{"type":"string","enum":["403"],"default":"403"},"title":{"type":"string","enum":["Forbidden"],"default":"Forbidden"},"message":{"type":"string","default":"The request requires client authorisation to access resource."},"timestamp":{"description":"The time that the error occurred. All dates in the JSON payloads are represented in ISO 8601 date-time format. \nAll date-time fields in responses must include the timezone.","type":"string","format":"date-time"},"type":{"type":"string","enum":["AUTHENTICATION_ERROR"],"default":"AUTHENTICATION_ERROR"},"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"}}}],"required":["code","title","message","type"],"additionalProperties":false},"httpError404":{"title":"HTTP 404 Error","type":"object","description":"The server cannot find the requested resource.","allOf":[{"$ref":"#/components/schemas/ErrorResp"},{"properties":{"code":{"type":"string","enum":["404"],"default":"404"},"title":{"type":"string","enum":["Not Found"],"default":"Not Found"},"message":{"type":"string","default":"The server cannot find the requested resource."},"timestamp":{"description":"The time that the error occurred. All dates in the JSON payloads are represented in ISO 8601 date-time format. \nAll date-time fields in responses must include the timezone.","type":"string","format":"date-time"},"type":{"type":"string","enum":["INVALID_REQUEST_ERROR"],"default":"INVALID_REQUEST_ERROR"},"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"}}}],"required":["code","title","message","type"],"additionalProperties":false},"httpError429":{"title":"HTTP 429 Error","type":"object","description":"The resource exists the number of requests has exceeded the specified quota.","allOf":[{"$ref":"#/components/schemas/ErrorResp"},{"properties":{"code":{"type":"string","enum":["429"],"default":"429"},"title":{"type":"string","enum":["Too Many Requests"],"default":"Too Many Requests"},"message":{"type":"string","default":"The number of requests from this client is restricted to a specified quota."},"timestamp":{"description":"The time that the error occurred. All dates in the JSON payloads are represented in ISO 8601 date-time format. \nAll date-time fields in responses must include the timezone.","type":"string","format":"date-time"},"type":{"type":"string","enum":["RATE_LIMIT_ERROR"],"default":"RATE_LIMIT_ERROR"},"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"}}}],"required":["code","title","message","type"],"additionalProperties":false},"httpError500":{"title":"HTTP 500 Error","type":"object","description":"Unexpected Server Error","allOf":[{"$ref":"#/components/schemas/ErrorResp"},{"properties":{"code":{"type":"string","enum":["500"],"default":"500"},"title":{"type":"string","enum":["Internal Server Error"],"default":"Internal Server Error"},"message":{"type":"string","default":"The server encountered an unexpected condition which prevented it from fulfilling the request."},"timestamp":{"description":"The time that the error occurred. All dates in the JSON payloads are represented in ISO 8601 date-time format. \nAll date-time fields in responses must include the timezone.","type":"string","format":"date-time"},"type":{"type":"string","enum":["API_ERROR"],"default":"API_ERROR"},"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"}}}],"required":["code","title","message","type"],"additionalProperties":false},"httpError503":{"title":"HTTP 503 Error","type":"object","description":"Service Unavailable Error","allOf":[{"$ref":"#/components/schemas/ErrorResp"},{"properties":{"code":{"type":"string","enum":["503"],"default":"503"},"title":{"type":"string","enum":["Service Unavailable"],"default":"Service Unavailable"},"message":{"type":"string","default":"The server is not ready to handle the request. If specified please check the <strong>Retry-After</strong> for the time period specified for recovery/re-attempt of request."},"timestamp":{"description":"The time that the error occurred. All dates in the JSON payloads are represented in ISO 8601 date-time format. \nAll date-time fields in responses must include the timezone.","type":"string","format":"date-time"},"type":{"type":"string","enum":["API_ERROR"],"default":"API_ERROR"},"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"}}}],"required":["code","title","message","type"],"additionalProperties":false},"httpError504":{"title":"HTTP 504 Error","type":"object","description":"Gateway Timeout Error","allOf":[{"$ref":"#/components/schemas/ErrorResp"},{"properties":{"code":{"type":"string","enum":["504"],"default":"504"},"title":{"type":"string","enum":["Gateway Timeout"],"default":"Gateway Timeout"},"message":{"type":"string","default":"The server, while acting as a gateway or proxy, did not get a response in time from the upstream server that it needed in order to complete the request."},"timestamp":{"description":"The time that the error occurred. All dates in the JSON payloads are represented in ISO 8601 date-time format. \nAll date-time fields in responses must include the timezone.","type":"string","format":"date-time"},"type":{"type":"string","enum":["API_ERROR"],"default":"API_ERROR"},"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"}}}],"required":["code","title","message","type"],"additionalProperties":false}},"parameters":{"pageNumberQueryParam":{"name":"pageNumber","in":"query","description":"Page number for records.","schema":{"$ref":"#/components/schemas/PagingPageNumber"}},"pageSizeQueryParam":{"in":"query","name":"pageSize","description":"Page size for returned records.","schema":{"$ref":"#/components/schemas/PagingPageSize"}},"purchasedRangeQueryParam":{"name":"range","in":"query","description":"Range name to allocate the TID against PURCHASED scheme.","required":false,"explode":false,"style":"form","schema":{"type":"string","minLength":1,"maxLength":100}}},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/httpError400"},{"properties":{"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"},"additionalProperties":{"type":"object","additionalProperties":{"type":"object"}}}}],"required":["code","title","message","type"]}}}},"401":{"description":"Unauthorised Request","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/httpError401"},{"properties":{"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"},"additionalProperties":{"type":"object","additionalProperties":{"type":"object"}}}}],"required":["code","title","message","type"]}}}},"403":{"description":"Forbidden Request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/httpError403"}}}},"404":{"description":"Not Found Request","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/httpError404"},{"properties":{"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"},"additionalProperties":{"type":"object","additionalProperties":{"type":"object"}}}}],"required":["code","title","message","type"]}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/httpError429"},{"properties":{"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"},"additionalProperties":{"type":"object","additionalProperties":{"type":"object"}}}}],"required":["code","title","message","type"]}}}},"500":{"description":"Internal Error","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/httpError500"},{"properties":{"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"},"additionalProperties":{"type":"object","additionalProperties":{"type":"object"}}}}],"required":["code","title","message","type"]}}}},"503":{"description":"Service Not Available","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/httpError503"},{"properties":{"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"},"additionalProperties":{"type":"object","additionalProperties":{"type":"object"}}}}],"required":["code","title","message","type"]}}}},"504":{"description":"Service Timeout","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/httpError504"},{"properties":{"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"},"additionalProperties":{"type":"object","additionalProperties":{"type":"object"}}}}],"required":["code","title","message","type"]}}}}}}}
```

## Insert TIDs into pool

> Insert an array of purchased TIDs into the TID pool. Its assumed that purchased TIDs are checked for uniqueness in the system.\
> Used by sales/operations.

```json
{"openapi":"3.0.0","info":{"title":"Verifone Order Internal API","version":"2.63.1-SNAPSHOT"},"tags":[{"name":"Purchased TIDs","description":"Operations to manage purchased TID allocations for entities."}],"servers":[{"url":"https://api.verifone.com"}],"paths":{"/entities/{entityUid}/purchasedTid":{"put":{"tags":["Purchased TIDs"],"operationId":"insertPurchasedTIDs","summary":"Insert TIDs into pool","description":"Insert an array of purchased TIDs into the TID pool. Its assumed that purchased TIDs are checked for uniqueness in the system.\nUsed by sales/operations.","parameters":[{"name":"entityUid","in":"path","description":"The Verifone assigned ID corresponding to the entity.","required":true,"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/EntityUid"}},{"description":"Optional reference","$ref":"#/components/parameters/orderReferenceQueryParam"},{"$ref":"#/components/parameters/purchasedRangeQueryParam"}],"requestBody":{"description":"Array of TIDs to insert. By default allocated flag is set to false.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UniqueTIDs"}}}},"responses":{"200":{"description":"TIDs inserted into pool"},"400":{"$ref":"#/components/responses/400"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"429":{"$ref":"#/components/responses/429"},"500":{"$ref":"#/components/responses/500"},"503":{"$ref":"#/components/responses/503"},"504":{"$ref":"#/components/responses/504"}}}}},"components":{"schemas":{"EntityUid":{"description":"The Verifone allocated unique id for this site.","type":"string","format":"uuid"},"UniqueTIDs":{"description":"An array of unique TIDs","type":"array","uniqueItems":true,"minItems":1,"items":{"$ref":"#/components/schemas/AltVfiPoiId"}},"AltVfiPoiId":{"description":"An alternative Verifone assigned identifier used for the POI within Verifone systems for transaction processing. This\nis also referred to as the Terminal ID (TID). This value maps to DE41 in ISO8583 specification. This identifier may\nalso be used per contract if required.\n\n<strong>This value is not guaranteed to be globally unique. The unique value is the internally assigned uuid - poiUid\nwhich is returned on the response.</strong>","type":"string","maxLength":12},"httpError400":{"title":"HTTP 400 Error","type":"object","description":"The request could not be understood by the server due to malformed syntax.","allOf":[{"$ref":"#/components/schemas/ErrorResp"},{"properties":{"code":{"type":"string","enum":["400"],"default":"400"},"title":{"type":"string","enum":["Bad Request"],"default":"Bad Request"},"message":{"type":"string","default":"The request could not be understood by the server due to malformed syntax. The client SHOULD NOT repeat the request without modifications."},"timestamp":{"description":"The time that the error occurred. All dates in the JSON payloads are represented in ISO 8601 date-time format. \nAll date-time fields in responses must include the timezone.","type":"string","format":"date-time"},"type":{"type":"string","enum":["INVALID_REQUEST_ERROR"],"default":"INVALID_REQUEST_ERROR"},"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"}}}],"required":["code","title","message","type"],"additionalProperties":false},"ErrorResp":{"title":"Error","description":"A common Error object returned as part of the API layer.\n\n. This is modified to become the base class for all of the derived HTTP Error Responses.","type":"object","properties":{"reversalStatus":{"description":"Indicates to the API client if a technical reversal is required or has been completed by Verifone.\n\n|Value|Description|\n|-|-|\n|NONE|Reversal status is not set. This indicates the status of reversal processing is not known and the client should implement default reversal processing.|\n|REQUIRED|A reversal is required by the client.|\n|COMPLETED|A reversal has been completed by verifone or a reversal is not required for this transaction.|","type":"string","enum":["NONE","REQUIRED","COMPLETED"],"default":"NONE"}},"required":["code"]},"httpError401":{"title":"HTTP 401 Error","type":"object","description":"The request must be authenticated to access the resource.","allOf":[{"$ref":"#/components/schemas/ErrorResp"},{"properties":{"code":{"type":"string","enum":["401"],"default":"401"},"title":{"type":"string","enum":["Unauthorised"],"default":"Unauthorised"},"message":{"type":"string","default":"The request requires client authentication."},"timestamp":{"description":"The time that the error occurred. All dates in the JSON payloads are represented in ISO 8601 date-time format. \nAll date-time fields in responses must include the timezone.","type":"string","format":"date-time"},"type":{"type":"string","enum":["AUTHENTICATION_ERROR"],"default":"AUTHENTICATION_ERROR"},"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"}}}],"required":["code","title","message","type"],"additionalProperties":false},"httpError403":{"title":"HTTP 403 Error","type":"object","description":"The request must be authorised to access the resource.","allOf":[{"$ref":"#/components/schemas/ErrorResp"},{"properties":{"code":{"type":"string","enum":["403"],"default":"403"},"title":{"type":"string","enum":["Forbidden"],"default":"Forbidden"},"message":{"type":"string","default":"The request requires client authorisation to access resource."},"timestamp":{"description":"The time that the error occurred. All dates in the JSON payloads are represented in ISO 8601 date-time format. \nAll date-time fields in responses must include the timezone.","type":"string","format":"date-time"},"type":{"type":"string","enum":["AUTHENTICATION_ERROR"],"default":"AUTHENTICATION_ERROR"},"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"}}}],"required":["code","title","message","type"],"additionalProperties":false},"httpError404":{"title":"HTTP 404 Error","type":"object","description":"The server cannot find the requested resource.","allOf":[{"$ref":"#/components/schemas/ErrorResp"},{"properties":{"code":{"type":"string","enum":["404"],"default":"404"},"title":{"type":"string","enum":["Not Found"],"default":"Not Found"},"message":{"type":"string","default":"The server cannot find the requested resource."},"timestamp":{"description":"The time that the error occurred. All dates in the JSON payloads are represented in ISO 8601 date-time format. \nAll date-time fields in responses must include the timezone.","type":"string","format":"date-time"},"type":{"type":"string","enum":["INVALID_REQUEST_ERROR"],"default":"INVALID_REQUEST_ERROR"},"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"}}}],"required":["code","title","message","type"],"additionalProperties":false},"httpError429":{"title":"HTTP 429 Error","type":"object","description":"The resource exists the number of requests has exceeded the specified quota.","allOf":[{"$ref":"#/components/schemas/ErrorResp"},{"properties":{"code":{"type":"string","enum":["429"],"default":"429"},"title":{"type":"string","enum":["Too Many Requests"],"default":"Too Many Requests"},"message":{"type":"string","default":"The number of requests from this client is restricted to a specified quota."},"timestamp":{"description":"The time that the error occurred. All dates in the JSON payloads are represented in ISO 8601 date-time format. \nAll date-time fields in responses must include the timezone.","type":"string","format":"date-time"},"type":{"type":"string","enum":["RATE_LIMIT_ERROR"],"default":"RATE_LIMIT_ERROR"},"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"}}}],"required":["code","title","message","type"],"additionalProperties":false},"httpError500":{"title":"HTTP 500 Error","type":"object","description":"Unexpected Server Error","allOf":[{"$ref":"#/components/schemas/ErrorResp"},{"properties":{"code":{"type":"string","enum":["500"],"default":"500"},"title":{"type":"string","enum":["Internal Server Error"],"default":"Internal Server Error"},"message":{"type":"string","default":"The server encountered an unexpected condition which prevented it from fulfilling the request."},"timestamp":{"description":"The time that the error occurred. All dates in the JSON payloads are represented in ISO 8601 date-time format. \nAll date-time fields in responses must include the timezone.","type":"string","format":"date-time"},"type":{"type":"string","enum":["API_ERROR"],"default":"API_ERROR"},"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"}}}],"required":["code","title","message","type"],"additionalProperties":false},"httpError503":{"title":"HTTP 503 Error","type":"object","description":"Service Unavailable Error","allOf":[{"$ref":"#/components/schemas/ErrorResp"},{"properties":{"code":{"type":"string","enum":["503"],"default":"503"},"title":{"type":"string","enum":["Service Unavailable"],"default":"Service Unavailable"},"message":{"type":"string","default":"The server is not ready to handle the request. If specified please check the <strong>Retry-After</strong> for the time period specified for recovery/re-attempt of request."},"timestamp":{"description":"The time that the error occurred. All dates in the JSON payloads are represented in ISO 8601 date-time format. \nAll date-time fields in responses must include the timezone.","type":"string","format":"date-time"},"type":{"type":"string","enum":["API_ERROR"],"default":"API_ERROR"},"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"}}}],"required":["code","title","message","type"],"additionalProperties":false},"httpError504":{"title":"HTTP 504 Error","type":"object","description":"Gateway Timeout Error","allOf":[{"$ref":"#/components/schemas/ErrorResp"},{"properties":{"code":{"type":"string","enum":["504"],"default":"504"},"title":{"type":"string","enum":["Gateway Timeout"],"default":"Gateway Timeout"},"message":{"type":"string","default":"The server, while acting as a gateway or proxy, did not get a response in time from the upstream server that it needed in order to complete the request."},"timestamp":{"description":"The time that the error occurred. All dates in the JSON payloads are represented in ISO 8601 date-time format. \nAll date-time fields in responses must include the timezone.","type":"string","format":"date-time"},"type":{"type":"string","enum":["API_ERROR"],"default":"API_ERROR"},"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"}}}],"required":["code","title","message","type"],"additionalProperties":false}},"parameters":{"orderReferenceQueryParam":{"name":"orderReference","in":"query","description":"Optional search string for looking up order by ID.","style":"form","explode":true,"schema":{"type":"string"}},"purchasedRangeQueryParam":{"name":"range","in":"query","description":"Range name to allocate the TID against PURCHASED scheme.","required":false,"explode":false,"style":"form","schema":{"type":"string","minLength":1,"maxLength":100}}},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/httpError400"},{"properties":{"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"},"additionalProperties":{"type":"object","additionalProperties":{"type":"object"}}}}],"required":["code","title","message","type"]}}}},"401":{"description":"Unauthorised Request","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/httpError401"},{"properties":{"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"},"additionalProperties":{"type":"object","additionalProperties":{"type":"object"}}}}],"required":["code","title","message","type"]}}}},"403":{"description":"Forbidden Request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/httpError403"}}}},"404":{"description":"Not Found Request","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/httpError404"},{"properties":{"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"},"additionalProperties":{"type":"object","additionalProperties":{"type":"object"}}}}],"required":["code","title","message","type"]}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/httpError429"},{"properties":{"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"},"additionalProperties":{"type":"object","additionalProperties":{"type":"object"}}}}],"required":["code","title","message","type"]}}}},"500":{"description":"Internal Error","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/httpError500"},{"properties":{"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"},"additionalProperties":{"type":"object","additionalProperties":{"type":"object"}}}}],"required":["code","title","message","type"]}}}},"503":{"description":"Service Not Available","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/httpError503"},{"properties":{"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"},"additionalProperties":{"type":"object","additionalProperties":{"type":"object"}}}}],"required":["code","title","message","type"]}}}},"504":{"description":"Service Timeout","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/httpError504"},{"properties":{"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"},"additionalProperties":{"type":"object","additionalProperties":{"type":"object"}}}}],"required":["code","title","message","type"]}}}}}}}
```

## Patch status of TIDs in the pool

> Change allocation status of purchased TID to required status

```json
{"openapi":"3.0.0","info":{"title":"Verifone Order Internal API","version":"2.63.1-SNAPSHOT"},"tags":[{"name":"Purchased TIDs","description":"Operations to manage purchased TID allocations for entities."}],"servers":[{"url":"https://api.verifone.com"}],"paths":{"/entities/{entityUid}/purchasedTid":{"patch":{"tags":["Purchased TIDs"],"operationId":"changePurchasedTIDAllocation","summary":"Patch status of TIDs in the pool","description":"Change allocation status of purchased TID to required status","parameters":[{"name":"entityUid","in":"path","description":"The Verifone assigned ID corresponding to the entity.","required":true,"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/EntityUid"}},{"name":"status","in":"query","required":true,"explode":false,"style":"form","schema":{"$ref":"#/components/schemas/TidPoolStatusEnum"}},{"$ref":"#/components/parameters/orderReferenceQueryParam","description":"Optional reference"},{"$ref":"#/components/parameters/purchasedRangeQueryParam"}],"requestBody":{"description":"Array of TIDs whose allocation status needs to be updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UniqueTIDs"}}}},"responses":{"204":{"description":"TID status changed"},"400":{"$ref":"#/components/responses/400"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"429":{"$ref":"#/components/responses/429"},"500":{"$ref":"#/components/responses/500"},"503":{"$ref":"#/components/responses/503"},"504":{"$ref":"#/components/responses/504"}}}}},"components":{"schemas":{"EntityUid":{"description":"The Verifone allocated unique id for this site.","type":"string","format":"uuid"},"TidPoolStatusEnum":{"description":"Allocation status of the purchased TID.","type":"string","enum":["ALLOCATED","UNALLOCATED","RESERVED","INACTIVE"]},"UniqueTIDs":{"description":"An array of unique TIDs","type":"array","uniqueItems":true,"minItems":1,"items":{"$ref":"#/components/schemas/AltVfiPoiId"}},"AltVfiPoiId":{"description":"An alternative Verifone assigned identifier used for the POI within Verifone systems for transaction processing. This\nis also referred to as the Terminal ID (TID). This value maps to DE41 in ISO8583 specification. This identifier may\nalso be used per contract if required.\n\n<strong>This value is not guaranteed to be globally unique. The unique value is the internally assigned uuid - poiUid\nwhich is returned on the response.</strong>","type":"string","maxLength":12},"httpError400":{"title":"HTTP 400 Error","type":"object","description":"The request could not be understood by the server due to malformed syntax.","allOf":[{"$ref":"#/components/schemas/ErrorResp"},{"properties":{"code":{"type":"string","enum":["400"],"default":"400"},"title":{"type":"string","enum":["Bad Request"],"default":"Bad Request"},"message":{"type":"string","default":"The request could not be understood by the server due to malformed syntax. The client SHOULD NOT repeat the request without modifications."},"timestamp":{"description":"The time that the error occurred. All dates in the JSON payloads are represented in ISO 8601 date-time format. \nAll date-time fields in responses must include the timezone.","type":"string","format":"date-time"},"type":{"type":"string","enum":["INVALID_REQUEST_ERROR"],"default":"INVALID_REQUEST_ERROR"},"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"}}}],"required":["code","title","message","type"],"additionalProperties":false},"ErrorResp":{"title":"Error","description":"A common Error object returned as part of the API layer.\n\n. This is modified to become the base class for all of the derived HTTP Error Responses.","type":"object","properties":{"reversalStatus":{"description":"Indicates to the API client if a technical reversal is required or has been completed by Verifone.\n\n|Value|Description|\n|-|-|\n|NONE|Reversal status is not set. This indicates the status of reversal processing is not known and the client should implement default reversal processing.|\n|REQUIRED|A reversal is required by the client.|\n|COMPLETED|A reversal has been completed by verifone or a reversal is not required for this transaction.|","type":"string","enum":["NONE","REQUIRED","COMPLETED"],"default":"NONE"}},"required":["code"]},"httpError401":{"title":"HTTP 401 Error","type":"object","description":"The request must be authenticated to access the resource.","allOf":[{"$ref":"#/components/schemas/ErrorResp"},{"properties":{"code":{"type":"string","enum":["401"],"default":"401"},"title":{"type":"string","enum":["Unauthorised"],"default":"Unauthorised"},"message":{"type":"string","default":"The request requires client authentication."},"timestamp":{"description":"The time that the error occurred. All dates in the JSON payloads are represented in ISO 8601 date-time format. \nAll date-time fields in responses must include the timezone.","type":"string","format":"date-time"},"type":{"type":"string","enum":["AUTHENTICATION_ERROR"],"default":"AUTHENTICATION_ERROR"},"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"}}}],"required":["code","title","message","type"],"additionalProperties":false},"httpError403":{"title":"HTTP 403 Error","type":"object","description":"The request must be authorised to access the resource.","allOf":[{"$ref":"#/components/schemas/ErrorResp"},{"properties":{"code":{"type":"string","enum":["403"],"default":"403"},"title":{"type":"string","enum":["Forbidden"],"default":"Forbidden"},"message":{"type":"string","default":"The request requires client authorisation to access resource."},"timestamp":{"description":"The time that the error occurred. All dates in the JSON payloads are represented in ISO 8601 date-time format. \nAll date-time fields in responses must include the timezone.","type":"string","format":"date-time"},"type":{"type":"string","enum":["AUTHENTICATION_ERROR"],"default":"AUTHENTICATION_ERROR"},"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"}}}],"required":["code","title","message","type"],"additionalProperties":false},"httpError404":{"title":"HTTP 404 Error","type":"object","description":"The server cannot find the requested resource.","allOf":[{"$ref":"#/components/schemas/ErrorResp"},{"properties":{"code":{"type":"string","enum":["404"],"default":"404"},"title":{"type":"string","enum":["Not Found"],"default":"Not Found"},"message":{"type":"string","default":"The server cannot find the requested resource."},"timestamp":{"description":"The time that the error occurred. All dates in the JSON payloads are represented in ISO 8601 date-time format. \nAll date-time fields in responses must include the timezone.","type":"string","format":"date-time"},"type":{"type":"string","enum":["INVALID_REQUEST_ERROR"],"default":"INVALID_REQUEST_ERROR"},"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"}}}],"required":["code","title","message","type"],"additionalProperties":false},"httpError429":{"title":"HTTP 429 Error","type":"object","description":"The resource exists the number of requests has exceeded the specified quota.","allOf":[{"$ref":"#/components/schemas/ErrorResp"},{"properties":{"code":{"type":"string","enum":["429"],"default":"429"},"title":{"type":"string","enum":["Too Many Requests"],"default":"Too Many Requests"},"message":{"type":"string","default":"The number of requests from this client is restricted to a specified quota."},"timestamp":{"description":"The time that the error occurred. All dates in the JSON payloads are represented in ISO 8601 date-time format. \nAll date-time fields in responses must include the timezone.","type":"string","format":"date-time"},"type":{"type":"string","enum":["RATE_LIMIT_ERROR"],"default":"RATE_LIMIT_ERROR"},"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"}}}],"required":["code","title","message","type"],"additionalProperties":false},"httpError500":{"title":"HTTP 500 Error","type":"object","description":"Unexpected Server Error","allOf":[{"$ref":"#/components/schemas/ErrorResp"},{"properties":{"code":{"type":"string","enum":["500"],"default":"500"},"title":{"type":"string","enum":["Internal Server Error"],"default":"Internal Server Error"},"message":{"type":"string","default":"The server encountered an unexpected condition which prevented it from fulfilling the request."},"timestamp":{"description":"The time that the error occurred. All dates in the JSON payloads are represented in ISO 8601 date-time format. \nAll date-time fields in responses must include the timezone.","type":"string","format":"date-time"},"type":{"type":"string","enum":["API_ERROR"],"default":"API_ERROR"},"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"}}}],"required":["code","title","message","type"],"additionalProperties":false},"httpError503":{"title":"HTTP 503 Error","type":"object","description":"Service Unavailable Error","allOf":[{"$ref":"#/components/schemas/ErrorResp"},{"properties":{"code":{"type":"string","enum":["503"],"default":"503"},"title":{"type":"string","enum":["Service Unavailable"],"default":"Service Unavailable"},"message":{"type":"string","default":"The server is not ready to handle the request. If specified please check the <strong>Retry-After</strong> for the time period specified for recovery/re-attempt of request."},"timestamp":{"description":"The time that the error occurred. All dates in the JSON payloads are represented in ISO 8601 date-time format. \nAll date-time fields in responses must include the timezone.","type":"string","format":"date-time"},"type":{"type":"string","enum":["API_ERROR"],"default":"API_ERROR"},"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"}}}],"required":["code","title","message","type"],"additionalProperties":false},"httpError504":{"title":"HTTP 504 Error","type":"object","description":"Gateway Timeout Error","allOf":[{"$ref":"#/components/schemas/ErrorResp"},{"properties":{"code":{"type":"string","enum":["504"],"default":"504"},"title":{"type":"string","enum":["Gateway Timeout"],"default":"Gateway Timeout"},"message":{"type":"string","default":"The server, while acting as a gateway or proxy, did not get a response in time from the upstream server that it needed in order to complete the request."},"timestamp":{"description":"The time that the error occurred. All dates in the JSON payloads are represented in ISO 8601 date-time format. \nAll date-time fields in responses must include the timezone.","type":"string","format":"date-time"},"type":{"type":"string","enum":["API_ERROR"],"default":"API_ERROR"},"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"}}}],"required":["code","title","message","type"],"additionalProperties":false}},"parameters":{"orderReferenceQueryParam":{"name":"orderReference","in":"query","description":"Optional search string for looking up order by ID.","style":"form","explode":true,"schema":{"type":"string"}},"purchasedRangeQueryParam":{"name":"range","in":"query","description":"Range name to allocate the TID against PURCHASED scheme.","required":false,"explode":false,"style":"form","schema":{"type":"string","minLength":1,"maxLength":100}}},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/httpError400"},{"properties":{"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"},"additionalProperties":{"type":"object","additionalProperties":{"type":"object"}}}}],"required":["code","title","message","type"]}}}},"401":{"description":"Unauthorised Request","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/httpError401"},{"properties":{"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"},"additionalProperties":{"type":"object","additionalProperties":{"type":"object"}}}}],"required":["code","title","message","type"]}}}},"403":{"description":"Forbidden Request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/httpError403"}}}},"404":{"description":"Not Found Request","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/httpError404"},{"properties":{"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"},"additionalProperties":{"type":"object","additionalProperties":{"type":"object"}}}}],"required":["code","title","message","type"]}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/httpError429"},{"properties":{"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"},"additionalProperties":{"type":"object","additionalProperties":{"type":"object"}}}}],"required":["code","title","message","type"]}}}},"500":{"description":"Internal Error","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/httpError500"},{"properties":{"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"},"additionalProperties":{"type":"object","additionalProperties":{"type":"object"}}}}],"required":["code","title","message","type"]}}}},"503":{"description":"Service Not Available","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/httpError503"},{"properties":{"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"},"additionalProperties":{"type":"object","additionalProperties":{"type":"object"}}}}],"required":["code","title","message","type"]}}}},"504":{"description":"Service Timeout","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/httpError504"},{"properties":{"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"},"additionalProperties":{"type":"object","additionalProperties":{"type":"object"}}}}],"required":["code","title","message","type"]}}}}}}}
```

## Reserve TIDs from the pool

> Reserve 'çount' number of TIDs from the TID pool. If 'count' is not available 400 is returned.

```json
{"openapi":"3.0.0","info":{"title":"Verifone Order Internal API","version":"2.63.1-SNAPSHOT"},"tags":[{"name":"Purchased TIDs","description":"Operations to manage purchased TID allocations for entities."}],"servers":[{"url":"https://api.verifone.com"}],"paths":{"/entities/{entityUid}/purchasedTid/reserve":{"get":{"tags":["Purchased TIDs"],"operationId":"reservePurchasedTIDs","summary":"Reserve TIDs from the pool","description":"Reserve 'çount' number of TIDs from the TID pool. If 'count' is not available 400 is returned.","parameters":[{"$ref":"#/components/parameters/entityUidPathParam"},{"$ref":"#/components/parameters/countQueryParam"},{"$ref":"#/components/parameters/purchasedRangeQueryParam"},{"name":"duration","in":"query","description":"Duration in hours to reserve the TID ","explode":false,"required":false,"schema":{"type":"integer","default":1,"minimum":1,"maximum":12}},{"description":"Optional reference","$ref":"#/components/parameters/orderReferenceQueryParam"}],"responses":{"200":{"description":"Purchased TIDs results matching criteria","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UniqueTIDs"}}}},"400":{"$ref":"#/components/responses/400"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"429":{"$ref":"#/components/responses/429"},"500":{"$ref":"#/components/responses/500"},"503":{"$ref":"#/components/responses/503"},"504":{"$ref":"#/components/responses/504"}}}}},"components":{"parameters":{"entityUidPathParam":{"name":"entityUid","in":"path","description":"The Verifone assigned ID corresponding to the entity.","required":true,"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/EntityUid"}},"countQueryParam":{"name":"count","in":"query","description":"Count of TIDs required from pool.","required":true,"explode":false,"style":"form","schema":{"type":"integer","minimum":1}},"purchasedRangeQueryParam":{"name":"range","in":"query","description":"Range name to allocate the TID against PURCHASED scheme.","required":false,"explode":false,"style":"form","schema":{"type":"string","minLength":1,"maxLength":100}},"orderReferenceQueryParam":{"name":"orderReference","in":"query","description":"Optional search string for looking up order by ID.","style":"form","explode":true,"schema":{"type":"string"}}},"schemas":{"EntityUid":{"description":"The Verifone allocated unique id for this site.","type":"string","format":"uuid"},"UniqueTIDs":{"description":"An array of unique TIDs","type":"array","uniqueItems":true,"minItems":1,"items":{"$ref":"#/components/schemas/AltVfiPoiId"}},"AltVfiPoiId":{"description":"An alternative Verifone assigned identifier used for the POI within Verifone systems for transaction processing. This\nis also referred to as the Terminal ID (TID). This value maps to DE41 in ISO8583 specification. This identifier may\nalso be used per contract if required.\n\n<strong>This value is not guaranteed to be globally unique. The unique value is the internally assigned uuid - poiUid\nwhich is returned on the response.</strong>","type":"string","maxLength":12},"httpError400":{"title":"HTTP 400 Error","type":"object","description":"The request could not be understood by the server due to malformed syntax.","allOf":[{"$ref":"#/components/schemas/ErrorResp"},{"properties":{"code":{"type":"string","enum":["400"],"default":"400"},"title":{"type":"string","enum":["Bad Request"],"default":"Bad Request"},"message":{"type":"string","default":"The request could not be understood by the server due to malformed syntax. The client SHOULD NOT repeat the request without modifications."},"timestamp":{"description":"The time that the error occurred. All dates in the JSON payloads are represented in ISO 8601 date-time format. \nAll date-time fields in responses must include the timezone.","type":"string","format":"date-time"},"type":{"type":"string","enum":["INVALID_REQUEST_ERROR"],"default":"INVALID_REQUEST_ERROR"},"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"}}}],"required":["code","title","message","type"],"additionalProperties":false},"ErrorResp":{"title":"Error","description":"A common Error object returned as part of the API layer.\n\n. This is modified to become the base class for all of the derived HTTP Error Responses.","type":"object","properties":{"reversalStatus":{"description":"Indicates to the API client if a technical reversal is required or has been completed by Verifone.\n\n|Value|Description|\n|-|-|\n|NONE|Reversal status is not set. This indicates the status of reversal processing is not known and the client should implement default reversal processing.|\n|REQUIRED|A reversal is required by the client.|\n|COMPLETED|A reversal has been completed by verifone or a reversal is not required for this transaction.|","type":"string","enum":["NONE","REQUIRED","COMPLETED"],"default":"NONE"}},"required":["code"]},"httpError401":{"title":"HTTP 401 Error","type":"object","description":"The request must be authenticated to access the resource.","allOf":[{"$ref":"#/components/schemas/ErrorResp"},{"properties":{"code":{"type":"string","enum":["401"],"default":"401"},"title":{"type":"string","enum":["Unauthorised"],"default":"Unauthorised"},"message":{"type":"string","default":"The request requires client authentication."},"timestamp":{"description":"The time that the error occurred. All dates in the JSON payloads are represented in ISO 8601 date-time format. \nAll date-time fields in responses must include the timezone.","type":"string","format":"date-time"},"type":{"type":"string","enum":["AUTHENTICATION_ERROR"],"default":"AUTHENTICATION_ERROR"},"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"}}}],"required":["code","title","message","type"],"additionalProperties":false},"httpError403":{"title":"HTTP 403 Error","type":"object","description":"The request must be authorised to access the resource.","allOf":[{"$ref":"#/components/schemas/ErrorResp"},{"properties":{"code":{"type":"string","enum":["403"],"default":"403"},"title":{"type":"string","enum":["Forbidden"],"default":"Forbidden"},"message":{"type":"string","default":"The request requires client authorisation to access resource."},"timestamp":{"description":"The time that the error occurred. All dates in the JSON payloads are represented in ISO 8601 date-time format. \nAll date-time fields in responses must include the timezone.","type":"string","format":"date-time"},"type":{"type":"string","enum":["AUTHENTICATION_ERROR"],"default":"AUTHENTICATION_ERROR"},"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"}}}],"required":["code","title","message","type"],"additionalProperties":false},"httpError404":{"title":"HTTP 404 Error","type":"object","description":"The server cannot find the requested resource.","allOf":[{"$ref":"#/components/schemas/ErrorResp"},{"properties":{"code":{"type":"string","enum":["404"],"default":"404"},"title":{"type":"string","enum":["Not Found"],"default":"Not Found"},"message":{"type":"string","default":"The server cannot find the requested resource."},"timestamp":{"description":"The time that the error occurred. All dates in the JSON payloads are represented in ISO 8601 date-time format. \nAll date-time fields in responses must include the timezone.","type":"string","format":"date-time"},"type":{"type":"string","enum":["INVALID_REQUEST_ERROR"],"default":"INVALID_REQUEST_ERROR"},"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"}}}],"required":["code","title","message","type"],"additionalProperties":false},"httpError429":{"title":"HTTP 429 Error","type":"object","description":"The resource exists the number of requests has exceeded the specified quota.","allOf":[{"$ref":"#/components/schemas/ErrorResp"},{"properties":{"code":{"type":"string","enum":["429"],"default":"429"},"title":{"type":"string","enum":["Too Many Requests"],"default":"Too Many Requests"},"message":{"type":"string","default":"The number of requests from this client is restricted to a specified quota."},"timestamp":{"description":"The time that the error occurred. All dates in the JSON payloads are represented in ISO 8601 date-time format. \nAll date-time fields in responses must include the timezone.","type":"string","format":"date-time"},"type":{"type":"string","enum":["RATE_LIMIT_ERROR"],"default":"RATE_LIMIT_ERROR"},"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"}}}],"required":["code","title","message","type"],"additionalProperties":false},"httpError500":{"title":"HTTP 500 Error","type":"object","description":"Unexpected Server Error","allOf":[{"$ref":"#/components/schemas/ErrorResp"},{"properties":{"code":{"type":"string","enum":["500"],"default":"500"},"title":{"type":"string","enum":["Internal Server Error"],"default":"Internal Server Error"},"message":{"type":"string","default":"The server encountered an unexpected condition which prevented it from fulfilling the request."},"timestamp":{"description":"The time that the error occurred. All dates in the JSON payloads are represented in ISO 8601 date-time format. \nAll date-time fields in responses must include the timezone.","type":"string","format":"date-time"},"type":{"type":"string","enum":["API_ERROR"],"default":"API_ERROR"},"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"}}}],"required":["code","title","message","type"],"additionalProperties":false},"httpError503":{"title":"HTTP 503 Error","type":"object","description":"Service Unavailable Error","allOf":[{"$ref":"#/components/schemas/ErrorResp"},{"properties":{"code":{"type":"string","enum":["503"],"default":"503"},"title":{"type":"string","enum":["Service Unavailable"],"default":"Service Unavailable"},"message":{"type":"string","default":"The server is not ready to handle the request. If specified please check the <strong>Retry-After</strong> for the time period specified for recovery/re-attempt of request."},"timestamp":{"description":"The time that the error occurred. All dates in the JSON payloads are represented in ISO 8601 date-time format. \nAll date-time fields in responses must include the timezone.","type":"string","format":"date-time"},"type":{"type":"string","enum":["API_ERROR"],"default":"API_ERROR"},"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"}}}],"required":["code","title","message","type"],"additionalProperties":false},"httpError504":{"title":"HTTP 504 Error","type":"object","description":"Gateway Timeout Error","allOf":[{"$ref":"#/components/schemas/ErrorResp"},{"properties":{"code":{"type":"string","enum":["504"],"default":"504"},"title":{"type":"string","enum":["Gateway Timeout"],"default":"Gateway Timeout"},"message":{"type":"string","default":"The server, while acting as a gateway or proxy, did not get a response in time from the upstream server that it needed in order to complete the request."},"timestamp":{"description":"The time that the error occurred. All dates in the JSON payloads are represented in ISO 8601 date-time format. \nAll date-time fields in responses must include the timezone.","type":"string","format":"date-time"},"type":{"type":"string","enum":["API_ERROR"],"default":"API_ERROR"},"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"}}}],"required":["code","title","message","type"],"additionalProperties":false}},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/httpError400"},{"properties":{"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"},"additionalProperties":{"type":"object","additionalProperties":{"type":"object"}}}}],"required":["code","title","message","type"]}}}},"401":{"description":"Unauthorised Request","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/httpError401"},{"properties":{"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"},"additionalProperties":{"type":"object","additionalProperties":{"type":"object"}}}}],"required":["code","title","message","type"]}}}},"403":{"description":"Forbidden Request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/httpError403"}}}},"404":{"description":"Not Found Request","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/httpError404"},{"properties":{"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"},"additionalProperties":{"type":"object","additionalProperties":{"type":"object"}}}}],"required":["code","title","message","type"]}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/httpError429"},{"properties":{"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"},"additionalProperties":{"type":"object","additionalProperties":{"type":"object"}}}}],"required":["code","title","message","type"]}}}},"500":{"description":"Internal Error","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/httpError500"},{"properties":{"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"},"additionalProperties":{"type":"object","additionalProperties":{"type":"object"}}}}],"required":["code","title","message","type"]}}}},"503":{"description":"Service Not Available","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/httpError503"},{"properties":{"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"},"additionalProperties":{"type":"object","additionalProperties":{"type":"object"}}}}],"required":["code","title","message","type"]}}}},"504":{"description":"Service Timeout","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/httpError504"},{"properties":{"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"},"additionalProperties":{"type":"object","additionalProperties":{"type":"object"}}}}],"required":["code","title","message","type"]}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.verifone.com/api-reference/open-api-references/order-service/specification/purchased-tids.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
